{% extends "admin/layout.html.twig" %}
{% import "admin/forms.html.twig" as forms %}

{% set title = company.getName() ~ " Admin" %}
{% set secureLink = path_for("company/admin", {'company':company.getName()},{'key':key}) %}

{% block content %}
{% if not properties.email %}
<div class="alert alert-danger">
	<h4><i class="icon fa fa-ban"></i> Alert!</h4>
	Email not set - company representative email is required to activate admin panel. 
	Please fill "Email" field in "Settings" panel below. 
</div>
{% endif %}

{% if properties.active and not emails and not has_path('company/admin/editMenu') %}
<div class="alert alert-danger">
	<h4><i class="icon fa fa-ban"></i> Alert!</h4>
	Active user list is empty - no emails will be sent. Please add user emails in "Active emails" field in "Settings" panel below. 
</div>
{% endif %}

{% if properties.email and not properties.active %}
<div class="alert alert-warning">
	<h4><i class="icon fa fa-warning"></i> Warning</h4>
	Company not activated, please 
	<a href="{{ path_for("company/admin/activate", {'company':company.getName()}) }}" class="btn btn-primary btn-xs">send</a>
	activation email with admin <a href="{{ secureLink }}">secure link</a> to {{ properties.email|e }}.
</div>
{% endif %}

{% if not properties.password and not has_path('company/admin/editMenu')%}
<div class="alert alert-info">
	<h4><i class="icon fa fa-info"></i> Notice</h4>
	Password not set, access to admin panel only via <a href="{{ secureLink }}">secure link</a>.
</div>
{% endif %}

<!-- START SETTINGS -->
<div class="row">
	<div class="col-md-6">
		<div class="box box-default">
			<div class="box-header with-border">
				<i class="fa fa-gear"></i>
				<h3 class="box-title">Settings:</h3>
			</div>
			<!-- /.box-header -->
			<form class="form-horizontal" method="post">
				<div class="box-body">
					{{ forms.input('label', 'label', "Label", properties.label, "Company name" ) }}
					{{ forms.input('slogan', 'slogan', "Slogan", properties.slogan, "Company slogan" ) }}
					{{ forms.input('phone', 'phone', "Phone", properties.phone, "Contact phone" ) }}
					{{ forms.input('email', 'email', "Email", properties.email, "Contact email", "email" ) }}
					{{ forms.input('logo', 'logo', "Logo", properties.logo, "Company logo URL" ) }}
					{{ forms.input('NIP', 'nip', "NIP", properties.nip, "NIP" ) }}
					{{ forms.input('Adres', 'address', "Address", properties.address, "Adres dla FV" ) }}
					{{ forms.input('Password', 'password', "Admin password", '', "Admin panel password",'password' ) }}
					{{ forms.textarea('Emails', 'emails', "Active emails", emails, "Active user emails, one entry per row" ) }}
				</div>
				<!-- /.box-body -->
				<div class="box-footer">
					<button type="submit" class="btn btn-info pull-right">Save</button>
				</div>
				<!-- /.box-footer -->
			</form>


		</div>
		<!-- /.box-body -->
	</div>
	<!-- /.box -->

	<div class="col-md-6">
		<div class="box box-default">
			<div class="box-header with-border">
				<i class="fa fa-users"></i>
				<h3 class="box-title">Users</h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				<hr>
				<table class="table table-bordered table-striped" data-table="true">
					<thead>
						<tr>
							<th>Email</th>
							<th>Active</th>
						</tr>
					</thead>
					<tbody>
						{% for user in users %}
						<tr>
							<td><a href="{{ path_for("company/user", {'company':company.getName(), 'user':user.id}) }}">{{ user.email|e }}</a></td>
							<td>{{ user.active|e }}</td>
						</tr>
						{% endfor %}
					</tbody>
				</table>
			</div>
			<!-- /.box -->
		</div>
		<!-- /.col -->
	</div>
	<!-- /.row -->
</div>
<!-- END SETTINGS -->

{% if has_path('company/admin/editMenu') %}
<div class="box box-danger">
	<div class="box-header">
		<h3 class="box-title">Planned offers:</h3>
		<div class="box-tools">
			<a role="button" href="{{ path_for("company/admin/editMenu", {'company':company.getName(), 'id':0}) }}"	class="btn btn-default">
				<i class="fa fa-plus"></i> Create
			</a>
		</div>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped" data-table="true">
			<thead>
				<tr>
					<th>Name</th>
					<th>Valid since</th>
					<th>Valid until</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
                {% for menu in menus_0 %}
				<tr>
					<td><a href="{{ path_for("company/admin/editMenu", {'company':company.getName(), 'id':menu.id}) }}">{{ menu.name|e }}</a></td>
					<td>{{ menu.valid_since|e }}</td>
					<td>{{ menu.valid_until|e }}</td>
					<td><a href="{{ path_for("company/admin/deleteMenu", {'company':company.getName(), 'id':menu.id}) }}" class="btn btn-default"><i class="fa fa-remove"></i> Delete</a></td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->
{% endif %}

<div class="box box-default">
	<div class="box-header">
		<h3 class="box-title">Active offers:</h3>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped">
			<thead>
				<tr>
					<th>Name</th>
					<th>Valid until</th>
					<th>Orders</th>
					<th>Total</th>
				</tr>
			</thead>
			<tbody>
                {% for menu in menus_1 %}
				<tr>
					<td><a href="{{ path_for("company/admin/editOrder", {'company':company.getName(), 'id':menu.id}) }}">{{ menu.name|e }}</a></td>
					<td>{{ menu.valid_until|e }}</td>
					<td>{{ menu.orders|e }}</td>
					<td>{{ menu.total|e }}</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->

<div class="box box-default">
	<div class="box-header">
		<h3 class="box-title">Historical offers:</h3>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped">
			<thead>
				<tr>
					<th>Name</th>
					<th>Valid until</th>
					<th>Orders</th>
					<th>Total</th>
				</tr>
			</thead>
			<tbody>
                {% for menu in menus_2 %}
				<tr>
					<td><a href="{{ path_for("company/admin/editOrder", {'company':company.getName(), 'id':menu.id}) }}">{{ menu.name|e }}</a></td>
					<td>{{ menu.valid_until|e }}</td>
					<td>{{ menu.orders|e }}</td>
					<td>{{ menu.total|e }}</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->

{% endblock content %}